mime.MimeMessage Class Reference

Enhance email.Message. More...

Inheritance diagram for mime.MimeMessage:

## Public Member Functions

def | __init__
def | get_param
def | getparams
def | getname
def | getnames
def | ismodified
def | dump
def | as_string
def | getencoding
def | decode
def | get_payload_decoded
def | __setitem__
def | __delitem__
def | get_payload
def | set_payload
def | get_submsg

## Public Attributes

| submsg
| modified

## Static Public Attributes

| getfilename = Message.get_filename
| ismultipart = Message.is_multipart
| getheaders = Message.get_all
| gettype = Message.get_content_type
| getparam = Message.get_param

## Detailed Description

Enhance email.Message.

Tracks modifications to headers of body or any part independently.

    Version of email.Message.Message compatible with old mime module

## Member Function Documentation

def mime.MimeMessage.getnames | ( |  | self,
|  |  | scan_zip = `False`
| ) |  |

    Return a list of (attr,name) pairs of attributes that IE might
       interpret as a name - and hence decide to execute this message.

References mime.MimeMessage.dump(), Milter.config.MilterConfigParser.get(), mime.MimeMessage.get_payload(), mime.MimeMessage.getencoding(), mime.MimeMessage.modified, mime.MimeMessage.set_payload(), mime.MimeMessage.submsg, and mime.zipnames().

The documentation for this class was generated from the following file:

- mime.py